XtErrorMsg(3Xt)

NAME
XtErrorMsg, XtSetErrorMsgHandler, XtWarningMsg, XtSetWarningMsgHandler - high-level error handlers

SYNTAX

void XtErrorMsg(String name, String type, String class, String default, String *params, Cardinal *num_params);

void XtSetErrorMsgHandler(XtErrorMsgHandler msg_handler);

void XtSetWarningMsgHandler(XtErrorMsgHandler msg_handler);

void XtWarningMsg(String name, String type, String class, String default, String *params, Cardinal *num_params);

ARGUMENTS

class
    Specifies the resource class.

default
    Specifies the default message to use.

name
    Specifies the general kind of error.

type
    Specifies the detailed name of the error. or the nonfatal error procedure, which usually returns

msg_handler
    Specifies the new fatal error procedure, which should not return.

num_params
    Specifies the number of values in the parameter list.

params
    Specifies a pointer to a list of values to be stored in the message.

DESCRIPTION
The function has been superceded by

The function has been superceded by

The function has been superceded by

The function has been superceded by

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface